#ifndef LIGHT_RANDOM_ACCESS_TEXT_FILE_HPP
#define LIGHT_RANDOM_ACCESS_TEXT_FILE_HPP

#include <string>
#include <vector>

#include "text_file_reader.hpp"

class LightRandomAccessTextFile
{
public:
    LightRandomAccessTextFile(std::string path);

    std::string getLine(size_t lineNumber) const ;

    size_t numberOfLines() const;

    ~LightRandomAccessTextFile() = default;

private:
    mutable TextFileReader fileReader_;
};

// RAII

#endif // LIGHT_RANDOM_ACCESS_TEXT_FILE_HPP
