#ifndef RANDOM_ACCESS_TEXT_FILE_HPP
#define RANDOM_ACCESS_TEXT_FILE_HPP

#include <string>
#include <vector>

class RandomAccessTextFile
{
public:
    RandomAccessTextFile(std::string path);

    std::string getLine(size_t lineNumber) const;

    size_t numberOfLines() const;

    ~RandomAccessTextFile() = default;

private:
    std::vector<std::string> fileLines_;
};

// RAII

#endif // RANDOM_ACCESS_TEXT_FILE_HPP
