#ifndef TEXT_FILE_PRINTER_T_HPP
#define TEXT_FILE_PRINTER_T_HPP

template<typename OS>
class TextFilePrinterT
{
public:
    TextFilePrinterT(OS&);

    template<typename T>
    void print(const T&);

private:
    OS& outputStream_;
};

template<typename OS>
auto makeTextFilePrinterT(OS& outputStream)
{
    return TextFilePrinterT<OS>(outputStream);
}

#include "text_file_printer_t.ipp"

#endif // TEXT_FILE_PRINTER_T_HPP
