//#include "text_file_printer_t.hpp"

#include <iostream>

template<typename OS>
TextFilePrinterT<OS>::TextFilePrinterT(OS& outputStream)
: outputStream_(outputStream)
{
}

template<typename OS>
template<typename T>
void TextFilePrinterT<OS>::print(const T& file)
{
    for(auto i = 0; i < file.numberOfLines(); ++i)
    {
        outputStream_ << file.getLine(i) << "\n";
    }
}   
