#include "light_random_access_text_file.hpp"

#include <iostream>

LightRandomAccessTextFile::LightRandomAccessTextFile(std::string path) 
: fileReader_(path)
{
}

std::string LightRandomAccessTextFile::getLine(size_t lineNumber) const
{
    fileReader_.rewind();
    
    while (0 < lineNumber--)
    {
        fileReader_.getLine();
    }

    return fileReader_.getLine();
}

size_t LightRandomAccessTextFile::numberOfLines() const
{
    fileReader_.rewind();
    size_t number_of_lines = 0;

    while( !fileReader_.endOfFile())
    {
        number_of_lines++;

        fileReader_.getLine();
    }

    return number_of_lines;
}
