#include "text_file_reader.hpp"

TextFileReader::TextFileReader(std::string path)
: file_(path)
{
    if (!file_.is_open())
    {
        // tu cos trzeba zrobic
        return;
    }
}

std::string TextFileReader::getLine()
{
    if(endOfFile())
    {
        return std::string();
    }

    std::string line; 
    std::getline(file_, line);
    return line;
}

bool TextFileReader::endOfFile() const
{
    return file_.eof();
}


void TextFileReader::rewind()
{
    file_.clear();
    file_.seekg (0, file_.beg);
}
