#include "text_file_screen_printer.hpp"

#include <iostream>

#include "../file_access/random_access_text_file.hpp"
#include "../file_access/light_random_access_text_file.hpp"

void TextFileScreenPrinter::print(const RandomAccessTextFile& file) const
{
    for(auto i = 0; i < file.numberOfLines(); ++i)
    {
        std::cout << file.getLine(i) << "\n";
    }
}   

void TextFileScreenPrinter::print(const LightRandomAccessTextFile& file) const
{
    for(auto i = 0; i < file.numberOfLines(); ++i)
    {
        std::cout << file.getLine(i) << "\n";
    }
} 
